Get Customer Case By ID
curl --request GET \
--url https://api.joinworth.com/case/api/v1/customers/{customerID}/cases/{caseID} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.joinworth.com/case/api/v1/customers/{customerID}/cases/{caseID}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.joinworth.com/case/api/v1/customers/{customerID}/cases/{caseID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Success",
"data": {
"id": "eb7aa8d8-18e6-49b1-b7e7-6311cae51acd",
"applicant_id": "e8f15d25-ed33-4783-b6fe-0e7d4290c2eb",
"customer_id": "2e6438cb-ec3f-4e94-b5c9-8c058d2efaf1",
"status": {
"code": 3,
"id": "ONBOARDING",
"label": "ONBOARDING"
},
"created_at": "2024-02-12T11:08:26.868002",
"created_by": "e8f15d25-ed33-4783-b6fe-0e7d4290c2eb",
"updated_at": "2024-02-12T11:08:26.868002",
"updated_by": "e8f15d25-ed33-4783-b6fe-0e7d4290c2eb",
"business_id": "f17295d4-5237-4079-8b18-8786eddf49f3",
"business": {
"id": "f17295d4-5237-4079-8b18-8786eddf49f3",
"name": "One Stop Furniture And Mattress",
"tin": "844148259",
"address_line_1": "3614, Cassopolis Street,",
"address_line_2": null,
"address_city": "Elkhart",
"address_state": "Indiana",
"address_postal_code": "46514",
"address_country": "United States",
"created_at": "2024-02-12T11:08:02.873642",
"created_by": "b03d6f6a-063b-4e71-8195-9f6f590a6257",
"updated_at": "2024-02-13T12:45:56.024203",
"updated_by": "e8f15d25-ed33-4783-b6fe-0e7d4290c2eb",
"mobile": null,
"official_website": null,
"public_website": null,
"social_account": null,
"status": "VERIFIED"
},
"applicant": {
"id": "e8f15d25-ed33-4783-b6fe-0e7d4290c2eb",
"first_name": "Sandbox",
"last_name": "Applicant",
"email": "sandbox-test+applicant@joinworth.com",
"mobile": null,
"is_email_verified": true,
"is_first_login": false,
"created_at": "2024-02-12T11:08:02.832Z",
"created_by": "b03d6f6a-063b-4e71-8195-9f6f590a6257",
"updated_at": "2024-02-12T11:08:26.848Z",
"updated_by": "b03d6f6a-063b-4e71-8195-9f6f590a6257",
"status": "ACTIVE",
"subrole": {
"id": "9950995a-ad5c-43ba-a0ac-6f367cac72ef",
"code": "applicant",
"label": "Applicant",
"role_id": 3
}
},
"owners": [
{
"id": "aae5fe81-6460-43fd-b7f0-bf7dc63d5e95",
"external_id": "abc123",
"title": {
"id": 1,
"title": "Partner"
},
"first_name": "Sandbox",
"last_name": "Applicant",
"ssn": "844148259",
"email": "sandbox-test+applicant+1@joinworth.com",
"mobile": "6073213231",
"date_of_birth": "2024-02-08",
"address_apartment": null,
"address_line_1": "3614, Cassopolis Street,",
"address_line_2": null,
"address_city": "Elkhart",
"address_state": "Indiana",
"address_postal_code": "46514",
"address_country": "Unites States",
"created_at": "2024-02-13T06:56:16.761321",
"created_by": "e8f15d25-ed33-4783-b6fe-0e7d4290c2eb",
"updated_at": "2024-02-13T06:56:16.761321",
"updated_by": "e8f15d25-ed33-4783-b6fe-0e7d4290c2eb",
"ownership_percentage": 25,
"owner_type": "CONTROL"
}
],
"status_history": [
{
"id": 3,
"status": "ONBOARDING",
"created_at": "2024-02-12T11:08:26.868Z",
"created_by": "e8f15d25-ed33-4783-b6fe-0e7d4290c2eb"
}
]
}
}Cases
Get Customer Case By ID
Retrieve details about a particular case associated with the given customerID and caseID.
GET
/
customers
/
{customerID}
/
cases
/
{caseID}
Get Customer Case By ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"2e6438cb-ec3f-4e94-b5c9-8c058d2efaf1"
Example:
"eb7aa8d8-18e6-49b1-b7e7-6311cae51acd"
Response
200 - application/json; charset=utf-8
OK
The response is of type any.
Was this page helpful?
⌘I